org.springframework.beans.factory.config

## Enum YamlProcessor.MatchStatus

- java.lang.Object
- - java.lang.Enum<YamlProcessor.MatchStatus>
  - - org.springframework.beans.factory.config.YamlProcessor.MatchStatus

- All Implemented Interfaces:
    Serializable, Comparable<YamlProcessor.MatchStatus>
  Enclosing class:
    YamlProcessor

      public static enum YamlProcessor.MatchStatus
      extends Enum<YamlProcessor.MatchStatus>

  Status returned from `YamlProcessor.DocumentMatcher.matches(java.util.Properties)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSTAIN` The matcher should not be considered.
    `FOUND` A match was found.
    `NOT_FOUND` No match was found.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static YamlProcessor.MatchStatus` | `getMostSpecific(YamlProcessor.MatchStatus a, YamlProcessor.MatchStatus b)` Compare two `YamlProcessor.MatchStatus` items, returning the most specific status.
    `static YamlProcessor.MatchStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static YamlProcessor.MatchStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FOUND

          public static final YamlProcessor.MatchStatus FOUND

      A match was found.

    - #### NOT_FOUND

          public static final YamlProcessor.MatchStatus NOT_FOUND

      No match was found.

    - #### ABSTAIN

          public static final YamlProcessor.MatchStatus ABSTAIN

      The matcher should not be considered.

  - ### Method Detail

    - #### values

          public static YamlProcessor.MatchStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (YamlProcessor.MatchStatus c : YamlProcessor.MatchStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static YamlProcessor.MatchStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMostSpecific

          public static YamlProcessor.MatchStatus getMostSpecific(YamlProcessor.MatchStatus a,
                                                                  YamlProcessor.MatchStatus b)

      Compare two `YamlProcessor.MatchStatus` items, returning the most specific status.